> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Preflight a Scaleway Instances cluster

> Browser session authentication; RBAC permission `clusters.create`. External cloud provider mode is mandatory; kubeadm accepts only Cilium.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /org/clusters/scaleway/preflight
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/clusters/scaleway/preflight:
    post:
      tags:
        - Scaleway / Kapsule
      summary: Preflight a Scaleway Instances cluster
      description: >-
        Browser session authentication; RBAC permission `clusters.create`.
        External cloud provider mode is mandatory; kubeadm accepts only Cilium.
      operationId: preflight_scaleway_cluster_browser
      parameters:
        - description: Must match the ankra_csrf browser cookie.
          in: header
          name: X-Ankra-CSRF
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateScalewayClusterRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScalewayPreflightResult'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Conflicting or unsafe lifecycle state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Provider or internal failure
      security:
        - SessionCookie: []
components:
  schemas:
    CreateScalewayClusterRequest:
      example:
        bastion_port: 61000
        cni: cilium
        cni_features:
          hubble: true
          wireguard_encryption: true
        control_plane_type: DEV1-M
        credential_id: 11111111-2222-4333-8444-555555555555
        distribution: k3s
        gateway_type: VPC-GW-S
        name: scw-prod
        region: fr-par
        runtime_credential_id: aaaaaaaa-bbbb-4ccc-8ddd-eeeeeeeeeeee
        ssh_key_credential_id: 99999999-8888-4777-8666-555555555555
        worker_type: DEV1-M
        zone: fr-par-1
      properties:
        bastion_port:
          default: 61000
          description: 61000, or a port from 1024 through 59999.
          type: integer
        cni:
          default: flannel
          enum:
            - flannel
            - calico
            - cilium
          type: string
        cni_features:
          $ref: '#/components/schemas/ScalewayCNIFeatures'
        control_plane_count:
          default: 1
          maximum: 9
          minimum: 1
          type: integer
        control_plane_type:
          default: DEV1-M
          type: string
        credential_id:
          format: uuid
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        distribution:
          default: k3s
          enum:
            - k3s
            - kubeadm
          type: string
        etcd_node_count:
          default: 3
          type: integer
        etcd_topology:
          default: stacked
          enum:
            - stacked
            - external
          type: string
        etcd_type:
          default: DEV1-M
          type: string
        external_cloud_provider:
          const: true
          default: true
          type: boolean
        gateway_allowed_ips:
          items:
            type: string
          type: array
        gateway_type:
          default: VPC-GW-S
          type: string
        gitops_branch:
          default: master
          type: string
        gitops_credential_name:
          default: ''
          type: string
        gitops_repository:
          default: ''
          type: string
        include_dns:
          default: true
          type: boolean
        include_networking:
          default: true
          type: boolean
        kubernetes_version:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        network_ip_range:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            CIDR for create-new mode; mutually exclusive with
            private_network_id.
        node_groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/ScalewayCreateNodeGroupRequest'
              type: array
            - type: 'null'
        private_network_id:
          anyOf:
            - type: string
            - type: 'null'
        region:
          type: string
        retention_policy:
          default: retain
          enum:
            - delete
            - retain
          type: string
        runtime_credential_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
        ssh_key_credential_id:
          format: uuid
          type: string
        worker_count:
          default: 1
          maximum: 100
          minimum: 0
          type: integer
        worker_type:
          default: DEV1-M
          type: string
        zone:
          type: string
      required:
        - name
        - credential_id
        - ssh_key_credential_id
        - region
        - zone
      type: object
    ScalewayPreflightResult:
      properties:
        can_proceed:
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ScalewayPreflightItem'
          type: array
      required:
        - items
        - can_proceed
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ScalewayCNIFeatures:
      properties:
        ebpf_dataplane:
          default: false
          type: boolean
        hubble:
          default: false
          type: boolean
        kube_proxy_replacement:
          default: false
          type: boolean
        wireguard_encryption:
          default: false
          type: boolean
      type: object
    ScalewayCreateNodeGroupRequest:
      properties:
        autoscaling:
          anyOf:
            - properties:
                enabled:
                  type: boolean
                max_count:
                  type: integer
                min_count:
                  type: integer
              required:
                - enabled
                - min_count
                - max_count
              type: object
            - type: 'null'
        count:
          default: 1
          maximum: 100
          minimum: 0
          type: integer
        instance_type:
          type: string
        labels:
          additionalProperties:
            type: string
          type: object
        name:
          type: string
        taints:
          items:
            $ref: '#/components/schemas/ScalewayNodeTaint'
          type: array
      required:
        - name
        - instance_type
      type: object
    ScalewayPreflightItem:
      properties:
        check:
          type: string
        message:
          type: string
        status:
          enum:
            - pass
            - warn
            - fail
          type: string
      required:
        - check
        - status
        - message
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ScalewayNodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          type: string
        key:
          type: string
        value:
          default: ''
          type: string
      required:
        - key
        - effect
      type: object
  securitySchemes:
    SessionCookie:
      description: Browser session. Mutations also require X-Ankra-CSRF.
      in: cookie
      name: ankra_session
      type: apiKey

````